|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectorg.apache.myfaces.custom.ppr.PPRPhaseListener
public class PPRPhaseListener
Before RenderResponse PhaseListener for processing Ajax requests from
PPRPanelGroup. It also participates in handling transient components
in PPR Requests
| Constructor Summary | |
|---|---|
PPRPhaseListener()
|
|
| Method Summary | |
|---|---|
static void |
addTriggeredComponent(javax.faces.context.FacesContext fc,
java.lang.String triggeredComponentClientId)
API method for adding triggeredComponents programmatically. |
void |
afterPhase(javax.faces.event.PhaseEvent phaseEvent)
|
void |
beforePhase(javax.faces.event.PhaseEvent event)
Determines wether the currently processed request is a PPR request (by searching for PPR_PARAMETER in the request parameter map) or an ordinary HTTP request. |
javax.faces.event.PhaseId |
getPhaseId()
|
static boolean |
isPartialRequest(javax.faces.context.FacesContext context)
Checks if the currently processed Request is an AJAX request from a PPRPanelGroup |
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Constructor Detail |
|---|
public PPRPhaseListener()
| Method Detail |
|---|
public void afterPhase(javax.faces.event.PhaseEvent phaseEvent)
afterPhase in interface javax.faces.event.PhaseListenerpublic void beforePhase(javax.faces.event.PhaseEvent event)
PPRPanelGroupRenderer are set to transient again
beforePhase in interface javax.faces.event.PhaseListenerpublic static boolean isPartialRequest(javax.faces.context.FacesContext context)
context - the current FacesContext
public static void addTriggeredComponent(javax.faces.context.FacesContext fc,
java.lang.String triggeredComponentClientId)
fc - the current FacesContexttriggeredComponentClientId - client ID of the component which is to be updated in
case of a PPR Responsepublic javax.faces.event.PhaseId getPhaseId()
getPhaseId in interface javax.faces.event.PhaseListener
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||